Draft Facebinder/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilización==")
(Updating to match new version of source page)
(9 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Draft_ShapeString|ShapeString]]
|[[Draft_BezCurve|Bezier Curve]]
|[[Draft_Module|Draft]]
|IconL=Draft_ShapeString.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_BezCurve.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Draft Facebinder|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
{{GuiCommand/es|Name=Draft Facebinder|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
El ”facebinder” un objeto muy simple construido a partir de caras seleccionadas de otros objetos. Es de tipo paramétrico, puede modificar el objeto original y las actualizaciones del objeto de faceta en consecuencia. Luego se puede usar, por ejemplo, para hacer una extrusión de una colección de caras de otros objetos. Un uso típico es en el diseño arquitectónico, para construir un objeto que cubre varias piezas de paredes. Puede mover y rotar el encuadernador después de su creación, todo permanecerá vinculado a las caras originales.
El ”facebinder” un objeto muy simple construido a partir de caras seleccionadas de otros objetos. Es de tipo paramétrico, puede modificar el objeto original y las actualizaciones del objeto de faceta en consecuencia. Luego se puede usar, por ejemplo, para hacer una extrusión de una colección de caras de otros objetos. Un uso típico es en el diseño arquitectónico, para construir un objeto que cubre varias piezas de paredes. Puede mover y rotar el encuadernador después de su creación, todo permanecerá vinculado a las caras originales.
</div>

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.


[[Image:Draft facebinder example.jpg|400px]]
[[Image:Draft facebinder example.jpg|400px]]
{{Caption|Facebinder created from the faces of solid walls}}


==Utilización==
==Utilización==


# Select faces on objects (use CTRL to select several faces)
# Pick one face, or hold {{KEY|Ctrl}} and pick several faces, from solid objects.
# Press the {{KEY| [[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}}, button, or press {{KEY|F}}, {{KEY|F}} keys
# Press the {{Button|[[Image:Draft_Facebinder.svg|16px]] [[Draft_Facebinder|Facebinder]]}} button, or press {{KEY|F}} then {{KEY|F}} keys.

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.
* To add a face, click on a face of a solid object in the 3D view, and then click on the {{Button|[[Image:Arch_Add.svg|16px]] Add}} button.
* To remove a face, select one of the sub-elements in the list, and then click on the {{Button|[[Image:Arch_Remove.svg|16px]] Remove}} button.
* Press {{KEY|Esc}} or the {{Button|OK}} button to complete the edition.

== Options ==
This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

== Properties ==
=== Data ===
* {{PropertyData|Extrusion}}: specifies an extrusion thickness to apply to all faces of the shape.
* {{PropertyData|Remove Splitter}}: if it is {{TRUE}} it tries to fuse the internal intersections of the Facebinder when it extruded.
* {{PropertyData|Sew}}: if it is {{TRUE}} it tries to perform a topological sewing operation on the Facebinder when it extruded.
* {{PropertyData|Offset}}: specifies an offset distance to apply betweenthe facebinder and the original faces, prior to extrusion.
* {{PropertyData|Area}}: the total area of this facebinder.

=== View ===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The facebinder tool can be usedin scripts and [[macros]] by using the following function:
The Facebinder tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
makeFacebinder ( selectionset )
Facebinder = makeFacebinder(selectionset)
}}
}}
* Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
* Creates a {{incode|Facebinder}} object from the given {{incode|selectionset}}, which is a list of {{incode|SelectionObject}}s as returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}. Only selected faces are taken into account.
** {{incode|selectionset}} can also be a {{incode|PropertyLinkSubList}}.
* Only selected faces are taken into account
* Returns the newly created object
A {{incode|PropertyLinkSubList}} is a list of tuples; each tuple contains as first element an {{incode|object}}, and as second element a list (or tuple) of strings; these strings indicate the names of the sub-elements (faces) of that object.

{{Code|code=
PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]
}}

The thickness of the Facebinder can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.

The placement of the Facebinder can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.


Example:
Example:
{{Code|code=
{{Code|code=
import Draft, FreeCADGui
import FreeCAD
mySelection = FreeCADGui.Selection.getSelectionEx()
import FreeCADGui
import Draft
Draft.makeFacebinder(mySelection)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
}}

{{Docnav
|[[Draft_ShapeString|ShapeString]]
|[[Draft_BezCurve|Bezier Curve]]
|[[Draft_Module|Draft]]
|IconL=Draft_ShapeString.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_BezCurve.svg
}}
}}
==Limitations==


{{Draft Tools navi{{#translation:}}}}
* Not available before version 0.14
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 11:54, 10 June 2020

Draft Facebinder

Ubicación en el Menú
Draft → Facebinder
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
F F
Introducido en versión
-
Ver también
Ninguno

Descripción

El ”facebinder” un objeto muy simple construido a partir de caras seleccionadas de otros objetos. Es de tipo paramétrico, puede modificar el objeto original y las actualizaciones del objeto de faceta en consecuencia. Luego se puede usar, por ejemplo, para hacer una extrusión de una colección de caras de otros objetos. Un uso típico es en el diseño arquitectónico, para construir un objeto que cubre varias piezas de paredes. Puede mover y rotar el encuadernador después de su creación, todo permanecerá vinculado a las caras originales.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Facebinder created from the faces of solid walls

Utilización

  1. Pick one face, or hold Ctrl and pick several faces, from solid objects.
  2. Press the Facebinder button, or press F then F keys.

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DatosExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DatosRemove Splitter: if it is true it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DatosSew: if it is true it tries to perform a topological sewing operation on the Facebinder when it extruded.
  • DatosOffset: specifies an offset distance to apply betweenthe facebinder and the original faces, prior to extrusion.
  • DatosArea: the total area of this facebinder.

View

  • VistaPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VistaDisplay Mode is "Flat Lines".
  • VistaPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Facebinder tool can be used in macros and from the Python console by using the following function:

Facebinder = makeFacebinder(selectionset)
  • Creates a Facebinder object from the given selectionset, which is a list of SelectionObjects as returned by FreeCADGui.Selection.getSelectionEx(). Only selected faces are taken into account.
    • selectionset can also be a PropertyLinkSubList.

A PropertyLinkSubList is a list of tuples; each tuple contains as first element an object, and as second element a list (or tuple) of strings; these strings indicate the names of the sub-elements (faces) of that object.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

The thickness of the Facebinder can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the Facebinder can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Example:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)